Bug 24510 - gjdoc have problems the -linkoffline
Summary: gjdoc have problems the -linkoffline
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: gjdoc (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Julian Scheid
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-24 22:08 UTC by Stephan Michels
Modified: 2005-10-25 16:24 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Michels 2005-10-24 22:08:38 UTC
Hi,
I tried to link the javadocs against a local installed copy of the classpath docs, which are available as Debian package classpath-doc. It seems that gjdoc has problems with the missing tailling slash.

You can verify the problem with the class from http://gcc.gnu.org/bugzilla/show_bug.cgi?id=24509 and the execution of
"gjdoc -linkoffline http://developer.classpath.org/doc /usr/share/doc/classpath-doc/api Test.java"

This can be prevented if you add following lines at ExternalDocSet.java:72

         if (!packageListDir.endsWith("/")) {
           packageListDir += "/";
         }
Comment 1 Julian Scheid 2005-10-25 16:23:59 UTC
Another good catch. Committed.

Thanks, Stephan.
Comment 2 Julian Scheid 2005-10-25 16:24:44 UTC
Forgot to set resolution to FIXED.
Comment 3 cvs-commit@developer.classpath.org 2005-10-25 16:52:24 UTC
Subject: Bug 24510

CVSROOT:	/cvsroot/classpath
Module name:	gjdoc
Branch: 	
Changes by:	Julian Scheid <julian@savannah.gnu.org>	05/10/25 16:23:59

Modified files:
	src/gnu/classpath/tools/doclets/htmldoclet: ExternalDocSet.java 
	.              : ChangeLog 

Log message:
	2005-10-25  Stephan Michels  <stephan@apache.org>
	
	PR gjdoc/24510:
	* src/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.java:
	Append slash to URL string specified with -link, if missing.

CVSWeb URLs:
http://savannah.gnu.org/cgi-bin/viewcvs/classpath/gjdoc/src/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.java.diff?tr1=1.4&tr2=1.5&r1=text&r2=text
http://savannah.gnu.org/cgi-bin/viewcvs/classpath/gjdoc/ChangeLog.diff?tr1=1.238&tr2=1.239&r1=text&r2=text



_______________________________________________
Cp-tools-commit mailing list
Cp-tools-commit@gnu.org
http://lists.gnu.org/mailman/listinfo/cp-tools-commit